Solid Edge FrameworkSupport Type Library
ZOrder Property
Description
Specifies the front-to-back order in which an object is displayed relative to other objects.
Property type
Read-only property
Syntax
Visual Basic
Public Property ZOrder As Long
Remarks
This relationship is maintained by storing a cardinal order position on each object. An object with a higher cardinal order is displayed in front of one with a lower cardinal number. A change in an object's ZOrder changes how objects are displayed if filled objects are displayed over other objects. The value assigned to this property can be changed internally to maintain unique values on all objects. Therefore, the value returned for this property may not be the same value to which the property was set.
Example
Private Sub Form_Load()

    Dim objApp As SolidEdgeFrameWork.Application

    Dim objDoc As SolidEdgeDraft.DraftDocument

    Dim objSheet As SolidEdgeDraft.Sheet

    Dim objArc As SolidEdgeFrameworkSupport.Arc2d

    Dim objDimension1 As SolidEdgeFrameworkSupport.Dimension

    Dim objDimension2 As SolidEdgeFrameworkSupport.Dimension

    Dim objDimension3 As SolidEdgeFrameworkSupport.Dimension

    Dim lngzord As Long

    ' Report errors

    Const PI = 3.14159265358979

    ' Create/get the application with specific settings

    On Error Resume Next

    Set objApp = GetObject(, "SolidEdge.Application")

    If Err Then

        Err.Clear

        Set objApp = CreateObject("SolidEdge.Application")

        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")

        objApp.Visible = True

    Else

        Set objDoc = objApp.ActiveDocument

    End If

    'getting the Active Sheet object

    Set objSheet = objDoc.ActiveSheet

    'create an arc2d

    Set objArc = objSheet.Arcs2d.AddByCenterStartEnd(xCenter:=0.2, _

                                                     yCenter:=0.2, xStart:=0.1, yStart:=0.1, xEnd:=0.3, yEnd:=0.3)

    'create 2 dimensions

    Set objDimension1 = objSheet.Dimensions.AddLength(Object:=objArc)

    Set objDimension2 = objSheet.Dimensions.AddAngle(Object:=objArc)

    Set objDimension3 = objSheet.Dimensions.AddRadius(Object:=objArc)

    'get zorder

    lngzord = objDimension3.ZOrder

    ' USER DISPLAY

    ' Release objects

    Set objApp = Nothing

    Set objDoc = Nothing

    Set objSheet = Nothing

    Set objDimension1 = Nothing

    Set objDimension2 = Nothing

    Set objDimension3 = Nothing

    Set objArc = Nothing

End Sub
See Also

Dimension Object  | Dimension Members